#!/usr/bin/perl
use warnings;
use strict;
use Mail::CheckUser qw(check_email last_check);
use File::Basename;

if(@ARGV != 1) {
  print "usage: ", basename($0), " <emailaddress>\n";
  exit 2;
}

if(check_email($ARGV[0])) {
  exit 0;
} else {
  print last_check()->{reason}, "\n";
  exit 1;
}
