#!/bin/sh
#----------------------------------------------------
# Version:      0.1.1
# Author:       Florian "Bluewind" Pritz <flo@xssn.at>
#
# Licensed under WTFPL v2
#   (see COPYING for full license text)
#    
#----------------------------------------------------
# mange script for locking the screen
#----------------------------------------------------

lock () {
  gajim-remote change_status away &
  ssh mistral 'python ~/bin/irssi_socket_control.py 1'
#  (sleep 0.5 && swarp 0 0) &
  xset dpms force off
  slock 
}

unlock () {
  gajim-remote change_status online &
  ssh mistral 'python ~/bin/irssi_socket_control.py 0'
}

if pidof slock &> /dev/null; then exit 1; fi

(lock && unlock) &
