#!/bin/sh
#----------------------------------------------------
# Version:      0.1.2
# Author:       Florian "Bluewind" Pritz <flo@xssn.at>
#
# Licensed under WTFPL v2
#   (see COPYING for full license text)
#
#----------------------------------------------------
# start screen with a combined config file
#----------------------------------------------------
# .screerc and .screenrc-<anything>
# Usage: screen.sh <anything>
#----------------------------------------------------


tempfile=`mktemp`
screenname="$1"
shift
cat ~/.screenrc >> $tempfile
cat ~/.screenrc-$screenname>> $tempfile
screen -S "screen-sh-$screenname" -c "${tempfile}" $@
