#!/bin/bash

#pgrep irssi_notify.sh && exit

#tail -f $HOME/.irssi/fnotify |
ssh mistral 'inotail -f -n 0 ~/.irssi/fnotify' |
	sed -ru "
		s/&/\&amp;/g;
		s/</\&lt;/g;
		s/>/\&gt;/g;
		s%(#[a-zA-Z]+ )&lt;([^>]{0,10})&gt;%\1<b>\2</b> %g
		s%(https?://[^ ]+\.[a-zA-Z]{1,3})%<a href=\"\1\">\1</a>%g;
		s%([a-zA-Z0-9+_-]+@[^ ]+\.[a-zA-Z]{1,3})%<a href=\"mailto:\1\">\1</a>%g;" |
  while read heading message
	do
    if [ "X$heading" != "X" ]; then
		  ssh mistral 'echo "" > ~/.irssi/fnotify';
      ossplay ~/misc/High_Bee-Public_D-135.wav
		  notify-send -t 5000 -- "${heading}" "${message}";
    fi
	done
